Apache Commons logo Commons VFS

Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 4
Number of dependencies (NOD): 109
Number of unique artifacts (NOA): 131
Number of version-conflicting artifacts (NOC): 17
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 83 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

com.google.guava:guava

[Error]
11.0.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- com.google.guava:guava:jar:11.0.2:compile
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (com.google.guava:guava:jar:11.0.2:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (com.google.guava:guava:jar:11.0.2:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (com.google.guava:guava:jar:11.0.2:test - omitted for duplicate)

12.0.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- org.htrace:htrace-core:jar:3.0.4:compile
          \- (com.google.guava:guava:jar:12.0.1:compile - omitted for conflict with 11.0.2)

16.0.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       +- org.apache.hadoop:hadoop-auth:jar:2.6.0:compile
       |  \- org.apache.curator:curator-framework:jar:2.6.0:compile
       |     \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)
       +- org.apache.curator:curator-client:jar:2.6.0:compile
       |  \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile
          \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 11.0.2)

commons-cli:commons-cli

[Error]
1.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- (commons-cli:commons-cli:jar:1.1:test - omitted for conflict with 1.2)

1.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- commons-cli:commons-cli:jar:1.2:compile
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (commons-cli:commons-cli:jar:1.2:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (commons-cli:commons-cli:jar:1.2:test - omitted for duplicate)

commons-codec:commons-codec

[Error]
1.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- commons-httpclient:commons-httpclient:jar:3.1:compile
       \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.4)

1.4
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  +- commons-codec:commons-codec:jar:1.4:compile
    |  +- net.java.dev.jets3t:jets3t:jar:0.9.0:compile
    |  |  \- (commons-codec:commons-codec:jar:1.4:compile - omitted for duplicate)
    |  \- org.apache.hadoop:hadoop-auth:jar:2.6.0:compile
    |     \- (commons-codec:commons-codec:jar:1.4:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (commons-codec:commons-codec:jar:1.4:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (commons-codec:commons-codec:jar:1.4:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (commons-codec:commons-codec:jar:1.4:test - omitted for duplicate)

commons-collections:commons-collections

[Error]
3.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          \- org.apache.jackrabbit:jackrabbit-core:jar:1.6.5:test
             +- (commons-collections:commons-collections:jar:3.1:test - omitted for conflict with 3.2.1)
             \- org.apache.jackrabbit:jackrabbit-spi-commons:jar:1.6.5:test
                \- (commons-collections:commons-collections:jar:3.1:test - omitted for conflict with 3.2.1)

3.2.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  +- commons-collections:commons-collections:jar:3.2.1:compile
    |  \- commons-configuration:commons-configuration:jar:1.6:compile
    |     \- (commons-collections:commons-collections:jar:3.2.1:compile - omitted for duplicate)
    \- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
       \- (commons-collections:commons-collections:jar:3.2.1:test - omitted for duplicate)

commons-lang:commons-lang

[Error]
2.4
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- commons-configuration:commons-configuration:jar:1.6:compile
          \- (commons-lang:commons-lang:jar:2.4:compile - omitted for conflict with 2.6)

2.6
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- commons-lang:commons-lang:jar:2.6:compile
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (commons-lang:commons-lang:jar:2.6:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (commons-lang:commons-lang:jar:2.6:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (commons-lang:commons-lang:jar:2.6:test - omitted for duplicate)

io.netty:netty

[Error]
3.6.2.Final
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- io.netty:netty:jar:3.6.2.Final:compile
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (io.netty:netty:jar:3.6.2.Final:test - omitted for duplicate)

3.7.0.Final
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
          \- (io.netty:netty:jar:3.7.0.Final:compile - omitted for conflict with 3.6.2.Final)

javax.servlet:servlet-api

[Error]
2.4
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
       \- tomcat:jasper-runtime:jar:5.5.23:compile
          \- (javax.servlet:servlet-api:jar:2.4:compile - omitted for conflict with 2.5)

2.5
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- javax.servlet:servlet-api:jar:2.5:compile
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (javax.servlet:servlet-api:jar:2.5:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (javax.servlet:servlet-api:jar:2.5:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (javax.servlet:servlet-api:jar:2.5:test - omitted for duplicate)

log4j:log4j

[Error]
1.2.13
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          \- org.apache.jackrabbit:jackrabbit-core:jar:1.6.5:test
             \- org.apache.jackrabbit:jackrabbit-text-extractors:jar:1.6.5:test
                +- org.apache.poi:poi:jar:3.2-FINAL:test
                |  \- (log4j:log4j:jar:1.2.13:test - omitted for conflict with 1.2.17)
                \- org.apache.poi:poi-scratchpad:jar:3.2-FINAL:test
                   \- (log4j:log4j:jar:1.2.13:test - omitted for conflict with 1.2.17)

1.2.16
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
          +- org.slf4j:slf4j-log4j12:jar:1.7.5:compile
          |  \- (log4j:log4j:jar:1.2.16:compile - omitted for conflict with 1.2.17)
          \- (log4j:log4j:jar:1.2.16:compile - omitted for conflict with 1.2.17)

1.2.17
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  +- log4j:log4j:jar:1.2.17:compile
    |  \- org.apache.hadoop:hadoop-auth:jar:2.6.0:compile
    |     \- (log4j:log4j:jar:1.2.17:runtime - omitted for duplicate)
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (log4j:log4j:jar:1.2.17:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (log4j:log4j:jar:1.2.17:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (log4j:log4j:jar:1.2.17:test - omitted for duplicate)

org.apache.httpcomponents:httpclient

[Error]
4.1.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- net.java.dev.jets3t:jets3t:jar:0.9.0:compile
          \- org.apache.httpcomponents:httpclient:jar:4.1.2:compile

4.2.5
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- org.apache.hadoop:hadoop-auth:jar:2.6.0:compile
          \- (org.apache.httpcomponents:httpclient:jar:4.2.5:compile - omitted for conflict with 4.1.2)

org.apache.httpcomponents:httpcore

[Error]
4.1.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- net.java.dev.jets3t:jets3t:jar:0.9.0:compile
          \- org.apache.httpcomponents:httpclient:jar:4.1.2:compile
             \- (org.apache.httpcomponents:httpcore:jar:4.1.2:compile - omitted for duplicate)

4.3.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- net.java.dev.jets3t:jets3t:jar:0.9.0:compile
    |     \- org.apache.httpcomponents:httpcore:jar:4.3.2:compile
    \- org.apache.httpcomponents:httpcore-nio:jar:4.3.2:test
       \- (org.apache.httpcomponents:httpcore:jar:4.3.2:compile - scope updated from test; omitted for duplicate)

org.apache.jackrabbit:jackrabbit-jcr-commons

[Error]
1.5.0
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          \- org.apache.jackrabbit:jackrabbit-jcr-rmi:jar:1.5.0:test
             \- (org.apache.jackrabbit:jackrabbit-jcr-commons:jar:1.5.0:test - omitted for conflict with 1.6.5)

1.5.2
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          \- org.apache.jackrabbit:jackrabbit-jcr-servlet:jar:1.5.2:test
             \- (org.apache.jackrabbit:jackrabbit-jcr-commons:jar:1.5.2:test - omitted for conflict with 1.6.5)

1.6.5
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.jackrabbit:jackrabbit-webdav:jar:1.6.5:compile
    |  \- org.apache.jackrabbit:jackrabbit-jcr-commons:jar:1.6.5:compile
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          +- org.apache.jackrabbit:jackrabbit-core:jar:1.6.5:test
          |  +- (org.apache.jackrabbit:jackrabbit-jcr-commons:jar:1.6.5:test - omitted for duplicate)
          |  \- org.apache.jackrabbit:jackrabbit-spi-commons:jar:1.6.5:test
          |     \- (org.apache.jackrabbit:jackrabbit-jcr-commons:jar:1.6.5:test - omitted for duplicate)
          \- org.apache.jackrabbit:jackrabbit-jcr-server:jar:1.6.5:test
             \- (org.apache.jackrabbit:jackrabbit-jcr-commons:jar:1.6.5:test - omitted for duplicate)

org.codehaus.jackson:jackson-core-asl

[Error]
1.8.3
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- com.sun.jersey:jersey-json:jar:1.9:compile
          +- (org.codehaus.jackson:jackson-core-asl:jar:1.8.3:compile - omitted for conflict with 1.9.13)
          +- org.codehaus.jackson:jackson-jaxrs:jar:1.8.3:compile
          |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.8.3:compile - omitted for duplicate)
          \- org.codehaus.jackson:jackson-xc:jar:1.8.3:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.8.3:compile - omitted for duplicate)

1.8.8
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- org.apache.avro:avro:jar:1.7.4:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.8.8:compile - omitted for conflict with 1.9.13)

1.9.13
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  +- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    |  \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:test - omitted for duplicate)

org.codehaus.jackson:jackson-mapper-asl

[Error]
1.8.3
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- com.sun.jersey:jersey-json:jar:1.9:compile
          +- (org.codehaus.jackson:jackson-mapper-asl:jar:1.8.3:compile - omitted for conflict with 1.9.13)
          +- org.codehaus.jackson:jackson-jaxrs:jar:1.8.3:compile
          |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.8.3:compile - omitted for duplicate)
          \- org.codehaus.jackson:jackson-xc:jar:1.8.3:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.8.3:compile - omitted for duplicate)

1.8.8
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
       \- org.apache.avro:avro:jar:1.7.4:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.8.8:compile - omitted for conflict with 1.9.13)

1.9.13
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:test - omitted for duplicate)

org.mortbay.jetty:jetty

[Error]
6.1.14
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- (org.mortbay.jetty:jetty:jar:6.1.14:test - omitted for conflict with 6.1.26)

6.1.26
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  \- org.mortbay.jetty:jetty:jar:6.1.26:compile
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (org.mortbay.jetty:jetty:jar:6.1.26:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (org.mortbay.jetty:jetty:jar:6.1.26:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (org.mortbay.jetty:jetty:jar:6.1.26:test - omitted for duplicate)

org.mortbay.jetty:jetty-util

[Error]
6.1.14
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- (org.mortbay.jetty:jetty-util:jar:6.1.14:test - omitted for conflict with 6.1.26)

6.1.26
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  +- org.mortbay.jetty:jetty:jar:6.1.26:compile
    |  |  \- (org.mortbay.jetty:jetty-util:jar:6.1.26:compile - omitted for duplicate)
    |  +- org.mortbay.jetty:jetty-util:jar:6.1.26:compile
    |  \- org.htrace:htrace-core:jar:3.0.4:compile
    |     \- (org.mortbay.jetty:jetty-util:jar:6.1.26:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- (org.mortbay.jetty:jetty-util:jar:6.1.26:compile - omitted for duplicate)
    +- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
    |  \- (org.mortbay.jetty:jetty-util:jar:6.1.26:test - omitted for duplicate)
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (org.mortbay.jetty:jetty-util:jar:6.1.26:test - omitted for duplicate)

org.slf4j:slf4j-log4j12

[Error]
1.5.3
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          \- (org.slf4j:slf4j-log4j12:jar:1.5.3:test - omitted for conflict with 1.7.5)

1.7.5
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-common:jar:2.6.0:compile
    |  +- (org.slf4j:slf4j-log4j12:jar:1.7.5:compile - scope updated from runtime; omitted for duplicate)
    |  +- org.apache.hadoop:hadoop-auth:jar:2.6.0:compile
    |  |  \- (org.slf4j:slf4j-log4j12:jar:1.7.5:runtime - omitted for duplicate)
    |  \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
    |     \- org.slf4j:slf4j-log4j12:jar:1.7.5:compile
    \- org.apache.hadoop:hadoop-common:test-jar:tests:2.6.0:test
       \- (org.slf4j:slf4j-log4j12:jar:1.7.5:compile - scope updated from test; omitted for duplicate)

xerces:xercesImpl

[Error]
2.8.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    \- org.apache.jackrabbit:jackrabbit-standalone:jar:1.6.5:test
       \- org.apache.jackrabbit:jackrabbit-webapp:jar:1.6.5:test
          +- org.apache.jackrabbit:jackrabbit-core:jar:1.6.5:test
          |  \- org.apache.jackrabbit:jackrabbit-text-extractors:jar:1.6.5:test
          |     \- net.sourceforge.nekohtml:nekohtml:jar:1.9.7:test
          |        \- (xerces:xercesImpl:jar:2.8.1:test - omitted for conflict with 2.9.1)
          \- org.apache.jackrabbit:jackrabbit-jcr-server:jar:1.6.5:test
             \- (xerces:xercesImpl:jar:2.8.1:test - omitted for conflict with 2.9.1)

2.9.1
  1. org.apache.commons:commons-vfs2:jar:2.1
    +- org.apache.hadoop:hadoop-hdfs:jar:2.6.0:compile
    |  \- xerces:xercesImpl:jar:2.9.1:compile
    \- org.apache.hadoop:hadoop-hdfs:test-jar:tests:2.6.0:test
       \- (xerces:xercesImpl:jar:2.9.1:test - omitted for duplicate)